@import url(./style/normalize.css);
@import url(./style/typography.style.css);
@import url(./style/variables.style.css);
@import url(./style/z-index.style.css);
@import url(./style/slider.style.css);

@import url(./components/main/main.style.css);
@import url(./components/header/header.style.css);
@import url(./components/footer/footer.style.css);

@import url(./components/commercial/commercial.style.css);
@import url(./components/navigation/navigation.style.css);
@import url(./components/leagues/leagues.style.css);
@import url(./components/ratings/ratngs.style.css);
@import url(./components/table-league/table-league.style.css);
@import url(./components/calendar-of-matches/calendar-of-matches.css);
@import url(./components/green-zone/green-zone.style.css);
@import url(./components/controls/controls.style.css);
@import url(./components/disqualification/disqualification.style.css);

@import url(./components/match-zone/match-zone.style.css);
@import url(./components/transfer/transfer.style.css);
@import url(./components/statistic/statistic.style.css);
@import url(./components/team-page/team-page.style.css);
@import url(./components/stadiums/stadiums.style.css);
@import url(./components/spons/spons.style.css);
@import url(./components/month-controls/month-controls.css);
@import url(./components/month-controls/swiper-month-controls.style.css);
@import url(./components/match-stats/match-stats.style.css);
@import url(./components/kkd/kkd.style.css);
@import url(./components/preview/preview.style.css);
@import url(./components/teams/teams.style.css);
@import url(./components/contacts_championship/contacts_championship.style.css);
/* @import url(./components/description/description.style.css); */

@import url(./components/match/match.style.css);
@import url(./components/match-review/match-review.style.css);


body {
	font-family: 'Roboto Condensed';
}

pre {
	white-space: pre-wrap;
	text-align: justify;
	text-indent: 20px;
}

.btn {
	padding: 10px 20px;
	background-color: black;
	color: white;
	text-transform: uppercase;
	display: inline-block;
	transition: opacity 0.3s ease-in-out;
	text-decoration: none;
	border-radius: 4px;
}

.btn:hover {
	opacity: 0.8;
	text-decoration: underline;
}

.text-center {
	text-align: center;
}

.text-green {
	color: #6ddb80;
}


.danger-info {
	text-transform: uppercase;
	font-size: inherit;
	text-align: center;
	width: 100%;
	background-color: #FFD018;
	padding: 8px;
	border-radius: 8px;
	font-weight: 600;
}

.flex {
	display: flex;
}

.justify-center {
	justify-content: center;
}

.justify-between {
	justify-content: space-between;
}

.mr-2 {
	margin-right: 0.5rem;
}

.mb-2 {
	margin-bottom: 0.5rem;
}

.mt-2 {
	margin-top: 0.5rem;
}

.ml-2 {
	margin-left: 0.5rem;
}

.m-2 {
	margin: 0.5rem;
}

.p-2 {
	padding: 0.5rem;
}

.pr-2 {
	padding-right: 0.5rem;
}

.pb-2 {
	padding-bottom: 0.5rem;
}

.pt-2 {
	padding-top: 0.5rem;
}

.pl-2 {
	padding-left: 0.5rem;
}

.w-full {
	width: 100%;
}

.fz-12 {
	font-size: 12px;
}

.fz-14 {
	font-size: 14px;
}

.fz-16 {
	font-size: 16px;
}

.youtube-wrap {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	margin: 0;
	z-index: 10;
}

.youtube-button {
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: #FF0000;
	border-radius: 7px;
	transition: background-color 0.3s, transform 0.2s;
	width: 40px;
	height: 30px;
}

.youtube-triangle {
	width: 0;
	height: 0;
	border-top: 6px solid transparent;
	border-bottom: 6px solid transparent;
	border-left: 10px solid #ffffff;
}

.youtube-button:hover {
	background-color: #CC0000;
	/* Темнее при наведении */
	transform: scale(1.05);
}

.relative {
	position: relative;
}

.absolute {
	position: absolute;
}


.green-zone__wrap {
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	padding: 60px 0;
}



.news-show__title {
	text-align: center;
	font-size: 18px;
	font-weight: 600;
}

.news-show__img {
	width: 100%;
	margin: 20px auto;

}

.news-show__body {
	font-style: 12px;
	line-height: 2;
}

@media (min-width: 640px) {
	.news-show__title {
		font-size: 24px;
	}
}

.pagination {
	display: flex;
	gap: 5px;
	justify-content: center;
	margin: 20px 0;
}

.pagination .page-link {
	background-color: black;
	color: white;
	padding: 5px 10px;
	text-decoration: none;
	font-size: 12px;
	transition: opacity 0.3s ease-in-out;
	border: 1px solid #000;
	border-radius: 4px;
}

.pagination .page-link[href]:hover {
	opacity: 0.8;
}

.pagination .page-link:not([href]) {
	color: #000;
	background-color: #fff;
}

.d-none {
	display: none;
}

.border {
	border: 1px solid #000;
}

.p-2 {
	padding: 0.5rem;
}

.bg-green {
	background-color: #6ddb80;
}

/* ---------------------------- */
/*  для сохранения в соц сетях  */
/* ---------------------------- */

/* Стили кнопки */
.capture-btn {
	color: white;
	padding: 10px 20px;
	border: none;
	cursor: pointer;
	font-size: 16px;
	border-radius: 5px;
	transition: background 0.3s;
}

.capture-btn:disabled {
	background-color: #6ddb80;
	cursor: not-allowed;
}

/* Модальное окно */
.modal {
	display: none;
	position: fixed;
	z-index: 1000;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
	background-color: white;
	margin: 15% auto;
	padding: 20px;
	border-radius: 10px;
	text-align: center;
	width: 300px;
}

/* Стили ссылок на мессенджеры */
.modal-content .share-btn {
	/* display: block; */
	padding: 10px;
	margin: 10px 0;
	border-radius: 5px;
	text-decoration: none;
	font-size: 16px;
	color: white;
	display: flex;
	justify-content: center;
	gap: 10px;
}

.viber {
	background-color: #7360f2;
}

.telegram {
	background-color: #0088cc;
}

/* Кнопка закрытия */
.modal-content .close-btn {
	background-color: red;
	color: white;
	padding: 8px 15px;
	border: none;
	cursor: pointer;
	margin-top: 10px;
}

.modal-content .share-btn img {
	width: 18px;
}

/* -------------------------------------- */
/*  END  для сохранения в соц сетях  END  */
/* -------------------------------------- */

.no-scroll {
	overflow: hidden;
	height: 100vh;
}

.uppercase {
	text-transform: uppercase;
}